Package com.sleepycat.persist.evolve

## Interface EvolveListener

-     public interface EvolveListener

  The listener interface called during eager entity evolution.
  See Also:
    `Class Evolution`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `evolveProgress​(EvolveEvent event)` | The listener method called during eager entity evolution.

- - ### Method Detail

    - #### evolveProgress

          boolean evolveProgress​(EvolveEvent event)

      The listener method called during eager entity evolution.
      Parameters:
        `event` - the EvolveEvent.
      Returns:
        true to continue evolution or false to stop.

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.